/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.json.loan;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "deleteLoanDetailsJaxb")
public class DeleteLoanDetailsJaxb {

    private Boolean approvedOrPendingRenovation;
    private Boolean todayPayment;
    private Boolean todayFee;
    private String loanId;

    public DeleteLoanDetailsJaxb() {
    }

    /**
     *
     * @param approvedOrPendingRenovation
     * @param todayPayment
     * @param todayFee
     */
    public DeleteLoanDetailsJaxb(Boolean approvedOrPendingRenovation, Boolean todayPayment, Boolean todayFee) {
        this.approvedOrPendingRenovation = approvedOrPendingRenovation;
        this.todayPayment = todayPayment;
        this.todayFee = todayFee;
    }

    /**
     *
     * @param approvedOrPendingRenovation
     * @param todayPayment
     * @param todayFee
     * @param loanId
     */
    public DeleteLoanDetailsJaxb(Boolean approvedOrPendingRenovation, Boolean todayPayment, Boolean todayFee, String loanId) {
        this.approvedOrPendingRenovation = approvedOrPendingRenovation;
        this.todayPayment = todayPayment;
        this.todayFee = todayFee;
        this.loanId = loanId;
    }

    /**
     *
     * @param todayPayment
     * @param todayFee
     */
    public DeleteLoanDetailsJaxb(Boolean todayPayment, Boolean todayFee) {
        this.todayPayment = todayPayment;
        this.todayFee = todayFee;
    }

    /**
     *
     * @param todayPayment
     * @param todayFee
     * @param loanId
     */
    public DeleteLoanDetailsJaxb(Boolean todayPayment, Boolean todayFee, String loanId) {
        this.todayPayment = todayPayment;
        this.todayFee = todayFee;
        this.loanId = loanId;
    }

    @XmlElement(name = "approvedOrPendingRenovation")
    public Boolean getApprovedOrPendingRenovation() {
        return approvedOrPendingRenovation;
    }

    public void setApprovedOrPendingRenovation(Boolean approvedOrPendingRenovation) {
        this.approvedOrPendingRenovation = approvedOrPendingRenovation;
    }

    @XmlElement(name = "todayPayment")
    public Boolean getTodayPayment() {
        return todayPayment;
    }

    public void setTodayPayment(Boolean todayPayment) {
        this.todayPayment = todayPayment;
    }

    @XmlElement(name = "todayFee")
    public Boolean getTodayFee() {
        return todayFee;
    }

    public void setTodayFee(Boolean todayFee) {
        this.todayFee = todayFee;
    }

    @XmlElement(name = "loanId")
    public String getLoanId() {
        return loanId;
    }

    public void setLoanId(String loanId) {
        this.loanId = loanId;
    }

    @Override
    public String toString() {
        return "DeleteLoanDetailsJaxb{" + "approvedOrPendingRenovation=" + approvedOrPendingRenovation + ", todayPayment=" + todayPayment + ", todayFee=" + todayFee + '}';
    }

}
